diff --git a/server/include/ROS/UtteranceROS.h b/server/include/ROS/UtteranceROS.h
index dbaebb5..8e6c62e 100644
--- a/server/include/ROS/UtteranceROS.h
+++ b/server/include/ROS/UtteranceROS.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "AudioData.h"
@@ -35,75 +35,84 @@ using namespace hlrc_server;
 #include "hlrc_server/utterance.h"
 #include "hlrc_server/ttsAction.h"
 
-//converter from ros utterance
+// converter from ros utterance
 class UtteranceROS : public Utterance {
-    public:
-        UtteranceROS(ttsResultConstPtr ros_utterance){
-            //set text:
-            set_text(ros_utterance->utterance.text);
-
-            //convert soundchunk to audio data:
-            extract_audio_data(ros_utterance->utterance.audio);
-
-            //convert phonemes:
-            extract_phonemes(ros_utterance->utterance.phonemes);
-        }
-
-        ~UtteranceROS(){};
-
-        void extract_audio_data(soundchunk sound_chunk){
-            //extract data:
-            unsigned int audio_len = sound_chunk.data.size();
-            char *audio_data_char = (char *)sound_chunk.data.data();
-
-            audio_data->samples.resize(audio_len);
-            audio_data->samples.assign(audio_data_char, audio_data_char+audio_len);
-            printf("audio samplesize is %d bytes\n",(unsigned int)audio_data->samples.size());
-
-            //extract format:
-            audio_data->sample_signed = true;
-            switch (sound_chunk.sample_type){
-                case(soundchunk::SAMPLE_U8):  audio_data->sample_signed = false; //and fall through:
-                case(soundchunk::SAMPLE_S8):  audio_data->sample_bit =  8; break;
-
-                case(soundchunk::SAMPLE_U16): audio_data->sample_signed = false; //and fall through:
-                case(soundchunk::SAMPLE_S16): audio_data->sample_bit = 16; break;
-
-                case(soundchunk::SAMPLE_U24): audio_data->sample_signed = false; //and fall through:
-                case(soundchunk::SAMPLE_S24): audio_data->sample_bit = 24; break;
-
-                default:
-                    printf("> invalid sample type %d in ROS SoundChunk! ignoring request!\n", sound_chunk.sample_type);
-                    throw runtime_error("UtteranceROS::convert_audio_data() unsupported sample type in ros SoundChunk");
-            }
-
-            //bitrate
-            audio_data->sample_rate = sound_chunk.rate;
-
-            //endianness
-            if (sound_chunk.endianess == soundchunk::ENDIAN_LITTLE){
-                audio_data->sample_big_endian = false;
-            }else if (sound_chunk.endianess == soundchunk::ENDIAN_BIG){
-                audio_data->sample_big_endian = true;
-            }else{
-                printf("> invalid SoundChunk byte_format");
-                throw runtime_error("UtteranceROS::convert_audio_data() unsupported byte_format in ros SoundChunk");
-            }
-
-        //number of channels
-        audio_data->sample_channels = sound_chunk.channels;
-
-        printf("> new AudioData: %s\n",audio_data->to_string().c_str());
-    }
-
-    void extract_phonemes(utterance::_phonemes_type ros_phones){
-        //extract phoneme vector
-        phonemes_vector.clear();
-        for(auto it = ros_phones.begin(); it<ros_phones.end(); it++){
-            Utterance::symbol_duration_pair_t phoneme = make_pair(it->symbol, it->duration);
-            phonemes_vector.push_back(phoneme);
-        }
-    }
-
+public:
+	UtteranceROS(ttsResultConstPtr ros_utterance) {
+		// set text:
+		set_text(ros_utterance->utterance.text);
+
+		// convert soundchunk to audio data:
+		extract_audio_data(ros_utterance->utterance.audio);
+
+		// convert phonemes:
+		extract_phonemes(ros_utterance->utterance.phonemes);
+	}
+
+	~UtteranceROS(){};
+
+	void extract_audio_data(soundchunk sound_chunk) {
+		// extract data:
+		unsigned int audio_len = sound_chunk.data.size();
+		char* audio_data_char = (char*)sound_chunk.data.data();
+
+		audio_data->samples.resize(audio_len);
+		audio_data->samples.assign(audio_data_char, audio_data_char + audio_len);
+		printf("audio samplesize is %d bytes\n", (unsigned int)audio_data->samples.size());
+
+		// extract format:
+		audio_data->sample_signed = true;
+		switch (sound_chunk.sample_type) {
+			case (soundchunk::SAMPLE_U8):
+				audio_data->sample_signed = false; // and fall through:
+			case (soundchunk::SAMPLE_S8):
+				audio_data->sample_bit = 8;
+				break;
+
+			case (soundchunk::SAMPLE_U16):
+				audio_data->sample_signed = false; // and fall through:
+			case (soundchunk::SAMPLE_S16):
+				audio_data->sample_bit = 16;
+				break;
+
+			case (soundchunk::SAMPLE_U24):
+				audio_data->sample_signed = false; // and fall through:
+			case (soundchunk::SAMPLE_S24):
+				audio_data->sample_bit = 24;
+				break;
+
+			default:
+				printf("> invalid sample type %d in ROS SoundChunk! ignoring request!\n", sound_chunk.sample_type);
+				throw runtime_error("UtteranceROS::convert_audio_data() unsupported sample type in ros SoundChunk");
+		}
+
+		// bitrate
+		audio_data->sample_rate = sound_chunk.rate;
+
+		// endianness
+		if (sound_chunk.endianess == soundchunk::ENDIAN_LITTLE) {
+			audio_data->sample_big_endian = false;
+		}
+		else if (sound_chunk.endianess == soundchunk::ENDIAN_BIG) {
+			audio_data->sample_big_endian = true;
+		}
+		else {
+			printf("> invalid SoundChunk byte_format");
+			throw runtime_error("UtteranceROS::convert_audio_data() unsupported byte_format in ros SoundChunk");
+		}
+
+		// number of channels
+		audio_data->sample_channels = sound_chunk.channels;
+
+		printf("> new AudioData: %s\n", audio_data->to_string().c_str());
+	}
+
+	void extract_phonemes(utterance::_phonemes_type ros_phones) {
+		// extract phoneme vector
+		phonemes_vector.clear();
+		for (auto it = ros_phones.begin(); it < ros_phones.end(); it++) {
+			Utterance::symbol_duration_pair_t phoneme = make_pair(it->symbol, it->duration);
+			phonemes_vector.push_back(phoneme);
+		}
+	}
 };
-
diff --git a/server/include/RSB/AnimationCallbackWrapper.h b/server/include/RSB/AnimationCallbackWrapper.h
index 588d5ea..92b84ed 100644
--- a/server/include/RSB/AnimationCallbackWrapper.h
+++ b/server/include/RSB/AnimationCallbackWrapper.h
@@ -1,71 +1,92 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "CallbackWrapper.h"
 #include "Animation.h"
 
-//callback handler incoming animation requests:
-class AnimationCallbackWrapper : public CallbackWrapper<rst::animation::HeadAnimation>{
-    public:
-       AnimationCallbackWrapper(Middleware *mw) : CallbackWrapper(mw){}
+// callback handler incoming animation requests:
+class AnimationCallbackWrapper : public CallbackWrapper<rst::animation::HeadAnimation> {
+public:
+	AnimationCallbackWrapper(Middleware* mw) : CallbackWrapper(mw) {
+	}
 
-       void call(const std::string& method_name, boost::shared_ptr<rst::animation::HeadAnimation> input){
-           printf("> incomint animation (method = %s)\n",method_name.c_str());
+	void call(const std::string& method_name, boost::shared_ptr<rst::animation::HeadAnimation> input) {
+		printf("> incomint animation (method = %s)\n", method_name.c_str());
 
-           //fetch animation passed by rsb:
-           rst::animation::HeadAnimation *rst_ani = input.get();
-           boost::shared_ptr<Animation> ani(new Animation());
+		// fetch animation passed by rsb:
+		rst::animation::HeadAnimation* rst_ani = input.get();
+		boost::shared_ptr<Animation> ani(new Animation());
 
-           switch ((int) rst_ani->animation()){
-               case(rst_ani->IDLE):             ani->target = Animation::IDLE; break;
-               case(rst_ani->HEAD_NOD):         ani->target = Animation::HEAD_NOD; break;
-               case(rst_ani->HEAD_SHAKE):       ani->target = Animation::HEAD_SHAKE; break;
-               case(rst_ani->EYEBLINK_LEFT):    ani->target = Animation::EYEBLINK_L; break;
-               case(rst_ani->EYEBLINK_RIGHT):   ani->target = Animation::EYEBLINK_R; break;
-               case(rst_ani->EYEBLINK_BOTH):    ani->target = Animation::EYEBLINK_BOTH; break;
-               case(rst_ani->EYEBROWS_RAISE):   ani->target = Animation::EYEBROWS_RAISE;break;
-               case(rst_ani->EYEBROWS_LOWER):   ani->target = Animation::EYEBROWS_LOWER;break;
-               case(rst_ani->ENGAGEMENT_LEFT):  ani->target = Animation::ENGAGEMENT_LEFT;break;
-               case(rst_ani->ENGAGEMENT_RIGHT): ani->target = Animation::ENGAGEMENT_RIGHT;break;
-               default:
-                   ani->target = Animation::IDLE;
-                   printf("> unhandled animatin target %d\n",(int)rst_ani->animation());
-                   throw std::runtime_error("AnimationCallback: invalid animation id");
-                   return;
-           }
-           ani->repetitions   = rst_ani->repetitions();
-           ani->duration_each = rst_ani->duration_each();
-           ani->scale         = rst_ani->emphasis_scale();
+		switch ((int)rst_ani->animation()) {
+			case (rst_ani->IDLE):
+				ani->target = Animation::IDLE;
+				break;
+			case (rst_ani->HEAD_NOD):
+				ani->target = Animation::HEAD_NOD;
+				break;
+			case (rst_ani->HEAD_SHAKE):
+				ani->target = Animation::HEAD_SHAKE;
+				break;
+			case (rst_ani->EYEBLINK_LEFT):
+				ani->target = Animation::EYEBLINK_L;
+				break;
+			case (rst_ani->EYEBLINK_RIGHT):
+				ani->target = Animation::EYEBLINK_R;
+				break;
+			case (rst_ani->EYEBLINK_BOTH):
+				ani->target = Animation::EYEBLINK_BOTH;
+				break;
+			case (rst_ani->EYEBROWS_RAISE):
+				ani->target = Animation::EYEBROWS_RAISE;
+				break;
+			case (rst_ani->EYEBROWS_LOWER):
+				ani->target = Animation::EYEBROWS_LOWER;
+				break;
+			case (rst_ani->ENGAGEMENT_LEFT):
+				ani->target = Animation::ENGAGEMENT_LEFT;
+				break;
+			case (rst_ani->ENGAGEMENT_RIGHT):
+				ani->target = Animation::ENGAGEMENT_RIGHT;
+				break;
+			default:
+				ani->target = Animation::IDLE;
+				printf("> unhandled animatin target %d\n", (int)rst_ani->animation());
+				throw std::runtime_error("AnimationCallback: invalid animation id");
+				return;
+		}
+		ani->repetitions = rst_ani->repetitions();
+		ani->duration_each = rst_ani->duration_each();
+		ani->scale = rst_ani->emphasis_scale();
 
-           printf("> new Animation: %s\n", ani->as_string().c_str());
+		printf("> new Animation: %s\n", ani->as_string().c_str());
 
-           //send to application
-           mw->animation_callback(ani);
-       }
+		// send to application
+		mw->animation_callback(ani);
+	}
 };
diff --git a/server/include/RSB/CallbackWrapper.h b/server/include/RSB/CallbackWrapper.h
index fd8b9e3..6a38437 100644
--- a/server/include/RSB/CallbackWrapper.h
+++ b/server/include/RSB/CallbackWrapper.h
@@ -1,30 +1,30 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "Middleware.h"
@@ -37,17 +37,17 @@
 #include <rsb/Factory.h>
 
 template <typename T>
-class CallbackWrapper : public rsb::patterns::LocalServer::Callback<T, void>{
-    public:
-        CallbackWrapper(Middleware *_mw){
-            mw = _mw;
-        }
+class CallbackWrapper : public rsb::patterns::LocalServer::Callback<T, void> {
+public:
+	CallbackWrapper(Middleware* _mw) {
+		mw = _mw;
+	}
 
+	~CallbackWrapper() {
+	}
 
-        ~CallbackWrapper(){}
+	virtual void call(const std::string&, boost::shared_ptr<T> param) = 0;
 
-        virtual void call(const std::string&, boost::shared_ptr<T> param) = 0;
-
-    protected:
-        Middleware *mw;
+protected:
+	Middleware* mw;
 };
diff --git a/server/include/RSB/EmotionCallbackWrapper.h b/server/include/RSB/EmotionCallbackWrapper.h
index 5fc6c70..59c34bf 100644
--- a/server/include/RSB/EmotionCallbackWrapper.h
+++ b/server/include/RSB/EmotionCallbackWrapper.h
@@ -1,69 +1,85 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "CallbackWrapper.h"
 
-//callback handler incoming emotion requests:
-class EmotionCallbackWrapper : public CallbackWrapper<rst::animation::EmotionExpression>{
-    public:
-       EmotionCallbackWrapper(Middleware *mw) : CallbackWrapper(mw){}
+// callback handler incoming emotion requests:
+class EmotionCallbackWrapper : public CallbackWrapper<rst::animation::EmotionExpression> {
+public:
+	EmotionCallbackWrapper(Middleware* mw) : CallbackWrapper(mw) {
+	}
 
-       void call(const std::string& method_name, boost::shared_ptr<rst::animation::EmotionExpression> input){
-           printf("> incoming emotion (%s = %d)\n", method_name.c_str(),(int)input->emotion());
+	void call(const std::string& method_name, boost::shared_ptr<rst::animation::EmotionExpression> input) {
+		printf("> incoming emotion (%s = %d)\n", method_name.c_str(), (int)input->emotion());
 
-           EmotionState emotion_state;
-           rst::animation::EmotionExpression *emotion = input.get();
+		EmotionState emotion_state;
+		rst::animation::EmotionExpression* emotion = input.get();
 
-           //extract data & copy it to our datatype (might be good when we allow multiple middlewares in the feature)
-           switch ((int)emotion->emotion()){
-               case(rst::animation::EmotionExpression_Emotion_NEUTRAL):   emotion_state.value = EmotionConfig::NEUTRAL; break;
-               case(rst::animation::EmotionExpression_Emotion_HAPPY):     emotion_state.value = EmotionConfig::HAPPY; break;
-               case(rst::animation::EmotionExpression_Emotion_SAD):       emotion_state.value = EmotionConfig::SAD; break;
-               case(rst::animation::EmotionExpression_Emotion_ANGRY):     emotion_state.value = EmotionConfig::ANGRY; break;
-               case(rst::animation::EmotionExpression_Emotion_SURPRISED): emotion_state.value = EmotionConfig::SURPRISED; break;
-               case(rst::animation::EmotionExpression_Emotion_FEAR):      emotion_state.value = EmotionConfig::FEAR; break;
-               default:
-               printf("> invalid EmotionExpression emotion value. exiting\n"); exit(EXIT_FAILURE);
-           }
+		// extract data & copy it to our datatype (might be good when we allow multiple middlewares in the feature)
+		switch ((int)emotion->emotion()) {
+			case (rst::animation::EmotionExpression_Emotion_NEUTRAL):
+				emotion_state.value = EmotionConfig::NEUTRAL;
+				break;
+			case (rst::animation::EmotionExpression_Emotion_HAPPY):
+				emotion_state.value = EmotionConfig::HAPPY;
+				break;
+			case (rst::animation::EmotionExpression_Emotion_SAD):
+				emotion_state.value = EmotionConfig::SAD;
+				break;
+			case (rst::animation::EmotionExpression_Emotion_ANGRY):
+				emotion_state.value = EmotionConfig::ANGRY;
+				break;
+			case (rst::animation::EmotionExpression_Emotion_SURPRISED):
+				emotion_state.value = EmotionConfig::SURPRISED;
+				break;
+			case (rst::animation::EmotionExpression_Emotion_FEAR):
+				emotion_state.value = EmotionConfig::FEAR;
+				break;
+			default:
+				printf("> invalid EmotionExpression emotion value. exiting\n");
+				exit(EXIT_FAILURE);
+		}
 
-           emotion_state.duration = emotion->duration();
+		emotion_state.duration = emotion->duration();
 
-           //send to application
-           if (method_name == "defaultEmotion"){
-               //set default emotion:
-               mw->default_emotion_callback(emotion_state);
-           }else if (method_name == "currentEmotion"){
-               //set current emotion:
-               mw->current_emotion_callback(emotion_state);
-           }else{
-               printf("> invalid method called '%s'\n",method_name.c_str());
-               exit(EXIT_FAILURE);
-           }
-        }
+		// send to application
+		if (method_name == "defaultEmotion") {
+			// set default emotion:
+			mw->default_emotion_callback(emotion_state);
+		}
+		else if (method_name == "currentEmotion") {
+			// set current emotion:
+			mw->current_emotion_callback(emotion_state);
+		}
+		else {
+			printf("> invalid method called '%s'\n", method_name.c_str());
+			exit(EXIT_FAILURE);
+		}
+	}
 };
diff --git a/server/include/RSB/GazeCallbackWrapper.h b/server/include/RSB/GazeCallbackWrapper.h
index 7c9dd10..8e53157 100644
--- a/server/include/RSB/GazeCallbackWrapper.h
+++ b/server/include/RSB/GazeCallbackWrapper.h
@@ -1,61 +1,62 @@
 /*
-* This file is part of hlrc_server
-*
-* Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
-* http://opensource.cit-ec.de/projects/hlrc_server
-*
-* This file may be licensed under the terms of the
-* GNU General Public License Version 3 (the ``GPL''),
-* or (at your option) any later version.
-*
-* Software distributed under the License is distributed
-* on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
-* express or implied. See the GPL for the specific language
-* governing rights and limitations.
-*
-* You should have received a copy of the GPL along with this
-* program. If not, go to http://www.gnu.org/licenses/gpl.html
-* or write to the Free Software Foundation, Inc.,
-* 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
-*
-* The development of this software was supported by the
-* Excellence Cluster EXC 277 Cognitive Interaction Technology.
-* The Excellence Cluster EXC 277 is a grant of the Deutsche
-* Forschungsgemeinschaft (DFG) in the context of the German
-* Excellence Initiative.
-*
-*/
+ * This file is part of hlrc_server
+ *
+ * Copyright(c) sschulz <AT> techfak.uni-bielefeld.de
+ * http://opensource.cit-ec.de/projects/hlrc_server
+ *
+ * This file may be licensed under the terms of the
+ * GNU General Public License Version 3 (the ``GPL''),
+ * or (at your option) any later version.
+ *
+ * Software distributed under the License is distributed
+ * on an ``AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, either
+ * express or implied. See the GPL for the specific language
+ * governing rights and limitations.
+ *
+ * You should have received a copy of the GPL along with this
+ * program. If not, go to http://www.gnu.org/licenses/gpl.html
+ * or write to the Free Software Foundation, Inc.,
+ * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ *
+ * The development of this software was supported by the
+ * Excellence Cluster EXC 277 Cognitive Interaction Technology.
+ * The Excellence Cluster EXC 277 is a grant of the Deutsche
+ * Forschungsgemeinschaft (DFG) in the context of the German
+ * Excellence Initiative.
+ *
+ */
 
 #pragma once
 #include "CallbackWrapper.h"
 
-//callback handler incoming gaze requests:
-class GazeCallbackWrapper : public CallbackWrapper<rst::animation::BinocularHeadGaze>{
-    public:
-        GazeCallbackWrapper(Middleware *mw) : CallbackWrapper(mw){}
-        void call(const std::string& method_name, boost::shared_ptr<rst::animation::BinocularHeadGaze> input){
-            rst::animation::BinocularHeadGaze *gaze = input.get();
-            //printf("> incoming gaze (p=%3.1f t=%3.1f r=%3.1f / v=%3.1f)\n", gaze->pan(), gaze->tilt(), gaze->roll(), gaze->vergence());
+// callback handler incoming gaze requests:
+class GazeCallbackWrapper : public CallbackWrapper<rst::animation::BinocularHeadGaze> {
+public:
+	GazeCallbackWrapper(Middleware* mw) : CallbackWrapper(mw) {
+	}
+	void call(const std::string& method_name, boost::shared_ptr<rst::animation::BinocularHeadGaze> input) {
+		rst::animation::BinocularHeadGaze* gaze = input.get();
+		// printf("> incoming gaze (p=%3.1f t=%3.1f r=%3.1f / v=%3.1f)\n", gaze->pan(), gaze->tilt(), gaze->roll(), gaze->vergence());
 
-            humotion::GazeState gaze_state;
+		humotion::GazeState gaze_state;
 
-            //fill in gaze
-            gaze_state.pan   = gaze->target().azimuth();
-            gaze_state.tilt  = gaze->target().elevation();
-            gaze_state.roll  = 0.0;
+		// fill in gaze
+		gaze_state.pan = gaze->target().azimuth();
+		gaze_state.tilt = gaze->target().elevation();
+		gaze_state.roll = 0.0;
 
-            //RSB supports only absolute targets for now...
-            gaze_state.timestamp = 123.45; //FIXME!!
-            gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
+		// RSB supports only absolute targets for now...
+		gaze_state.timestamp = 123.45; // FIXME!!
+		gaze_state.gaze_type = humotion::GazeState::GAZETYPE_ABSOLUTE;
 
-            //vergence
-            gaze_state.vergence  = (gaze->has_eye_vergence())?gaze->eye_vergence():0.0;
+		// vergence
+		gaze_state.vergence = (gaze->has_eye_vergence()) ? gaze->eye_vergence() : 0.0;
 
-            //offsets
-            gaze_state.pan_offset  = (gaze->has_offset())?gaze->offset().azimuth():0.0;
-            gaze_state.tilt_offset = (gaze->has_offset())?gaze->offset().elevation():0.0;
+		// offsets
+		gaze_state.pan_offset = (gaze->has_offset()) ? gaze->offset().azimuth() : 0.0;
+		gaze_state.tilt_offset = (gaze->has_offset()) ? gaze->offset().elevation() : 0.0;
 
-            //send to application:
-            mw->gaze_callback(gaze_state);
-        }
+		// send to application:
+		mw->gaze_callback(gaze_state);
+	}
 };
